const fs = require("fs");
const cwd = fs.realpathSync(".");

const suffix =
  process.env.NODE_ENV != null && process.env.NODE_ENV !== "staging"
    ? `.${process.env.NODE_ENV}`
    : "";

const envFileName = `.env${suffix}`;

const rawdata = fs.readFileSync(envFileName, "utf8");
rawdata
  .split(/[\r\n]/)
  .filter((x) => x.length > 0)
  .map((x) => x.split("=", 2))
  .forEach(([k, v]) => {
    process.env[k] = process.env[k] || v;
  });
console.log(
  new Map(
    Object.entries(process.env).filter(
      ([k]) => k.includes("REACT_APP_") || k === "NODE_ENV" || k == "CI"
    )
  )
);

module.exports = {
  client: {
    service: {
      name: "mashroom",
      url: process.env["REACT_APP_API_URL_HTTPS"],
      // skipSSLValidation: true
    },
    includes: [
      `${cwd}/src/**/*.graphql`,
      `${cwd}/src/**/*.ts`,
      `${cwd}/src/**/*.tsx`,
    ],
  },
};
