const {
  override,
  enableEslintTypescript,
  useEslintRc,
  addBabelPlugin,
  addBundleVisualizer,
  addWebpackPlugin,
  addPostcssPlugins,
} = require("customize-cra");
// const rewireReactHotLoader = require("react-app-rewire-hot-loader");
const ReactRefreshWebpackPlugin = require("@pmmmwh/react-refresh-webpack-plugin");

module.exports = override(
  enableEslintTypescript(),
  // eslint-disable-next-line react-hooks/rules-of-hooks
  useEslintRc(),
  addBabelPlugin(["import-graphql"]),

  process.env.NODE_ENV === "development" &&
    addWebpackPlugin(new ReactRefreshWebpackPlugin()),
  process.env.NODE_ENV === "development" &&
    addBabelPlugin("react-refresh/babel"),

  addPostcssPlugins([
    require("postcss-nested"),
    require("autoprefixer")({ flexbox: "no-2009" }),
  ]),

  addBundleVisualizer({}, true)
);
