"use strict";

const cp = require("child_process");
const fs = require("fs");

const rawdata = fs.readFileSync(".env", "utf8");
rawdata
  .split(/[\r\n]/)
  .filter(x => x.length > 0)
  .map(x => x.split("=", 2))
  .forEach(([k, v]) => (process.env[k] = process.env[k] || v));
cp.spawnSync("gqlschema", [process.env["NEXT_API_URL_HTTPS"], "-t"], {
  cwd: process.cwd(),
  env: process.env,
  stdio: [process.stdin, process.stdout, process.stderr],
  encoding: "utf-8"
});
