import React from "react";

import { Badge } from "antd";

import { expenses_api_AdvanceStatusEnum } from "../../../globalTypes";
import { AdvanceStatusProps } from "./types";

export const AdvanceStatus = ({ status }: AdvanceStatusProps) => {
  switch (status) {
    case expenses_api_AdvanceStatusEnum.ADVANCE_STATUS_DENIED: {
      return <Badge status="error" text="Denied" />;
    }

    case expenses_api_AdvanceStatusEnum.ADVANCE_STATUS_CANCELLED: {
      return <Badge status="default" text="Cancelled" />;
    }

    case expenses_api_AdvanceStatusEnum.ADVANCE_STATUS_GRANTED: {
      return <Badge status="success" text="Granted" />;
    }

    default: {
      return <Badge status="default" text="Unknown" />;
    }
  }
};
