import React, { FC } from "react";

import { Th, Thead, Tr } from "../../ui/atoms/Table";
import { SortableProps } from "../../ui/molecules/Sortable";

type ListHeadProps = {
  order: number;
  setSort: (sortObj: SortableProps) => void;
  getOrder: (fieldName: string) => number;
  field: string | string[];
};

export const ListHead: FC<ListHeadProps> = ({
  order,
  setSort,
  getOrder,
  field,
}) => {
  return (
    <Thead>
      <Tr>
        <Th colSpan={4}>Address</Th>
        <Th colSpan={2}>Landlord</Th>
        <Th colSpan={2}>Start date</Th>
        <Th colSpan={2}>Month count</Th>
        <Th colSpan={2}>Total amount</Th>
        <Th colSpan={2}>Fee value</Th>
        <Th colSpan={2}>Agreed T&amp;Cs</Th>
        <Th colSpan={2}>Status</Th>
      </Tr>
    </Thead>
  );
};
