import React, { FC, useCallback } from "react";

import { Th, Tr } from "../../ui/atoms/Table";
import { SortableProps } from "../../ui/molecules/Sortable";
import SortableTh from "../../ui/molecules/SortableTh";

type ListHeadProps = {
  order: number;
  setSort: (sortObj: SortableProps) => void;
  getOrder: (fieldName: string) => number;
  field: string | string[];
};

const ListHead: FC<ListHeadProps> = ({ order, setSort, getOrder, field }) => {
  const handleClick = useCallback(() => {
    setSort({
      field: ["created"],
      order: getOrder("created"),
    });
  }, [getOrder, setSort]);

  return (
    <Tr>
      <Th colSpan={1}>Text</Th>
      <Th colSpan={1}>Post</Th>
      <Th colSpan={1}>User</Th>
      <SortableTh
        handleClick={handleClick}
        include={field.includes("created")}
        order={order}
      >
        Date
      </SortableTh>
      <Th>&nbsp;</Th>
    </Tr>
  );
};
export default ListHead;
