import {
  invitation_api_InvitationStatusEnum,
  invitation_api_InvitationTypeEnum,
} from "../../globalTypes";

export type Option = {
  label: string;
  value: string;
};
export const StatusOptions: Option[] = [
  {
    label: "Accepted",
    value: invitation_api_InvitationStatusEnum.INVITATION_STATUS_ACCEPTED,
  },
  {
    label: "Declined",
    value: invitation_api_InvitationStatusEnum.INVITATION_STATUS_DECLINED,
  },
  {
    label: "Pending",
    value: invitation_api_InvitationStatusEnum.INVITATION_STATUS_PENDING,
  },
];

export const TypeOptions: Option[] = [
  {
    label: "Manager invitation",
    value:
      invitation_api_InvitationTypeEnum.INVITATION_TYPE_LANDLORD_TO_MANAGER,
  },
  {
    label: "Tenant invitation",
    value: invitation_api_InvitationTypeEnum.INVITATION_TYPE_RELATED_TO_TENANT,
  },
  {
    label: "Landlord invitation",
    value:
      invitation_api_InvitationTypeEnum.INVITATION_TYPE_RELATED_TO_LANDLORD,
  },
];
