import React from "react";

import { Th, Thead, Tr } from "../../ui/atoms/Table";
import SortableTh from "../../ui/molecules/SortableTh";

type ListHeadProps = {
  order: number;
  setSort(any): void;
  getOrder(fieldName: string): number;
  field: string[];
};

const ListHead = ({ order, setSort, getOrder, field }: ListHeadProps) => (
  <Thead>
    <Tr>
      <Th colSpan={1}>ID</Th>
      <Th colSpan={2}>Created</Th>
      <Th colSpan={2}>Expires at</Th>
      <SortableTh
        colSpan={3}
        handleClick={() =>
          setSort({
            field: [
              "people.landlord.details.first_name",
              "people.landlord.details.last_name",
            ],
            order: getOrder("people.landlord.details.first_name"),
          })
        }
        include={field.includes("people.landlord.details.first_name")}
        order={order}
      >
        Landlord
      </SortableTh>
      <SortableTh
        colSpan={3}
        handleClick={() =>
          setSort({
            field: ["location.postcode"],
            order: getOrder("location.postcode"),
          })
        }
        include={field.includes("location.postcode")}
        order={order}
      >
        Address
      </SortableTh>
      <SortableTh
        colSpan={2}
        handleClick={() =>
          setSort({
            field: ["status"],
            order: getOrder("status"),
          })
        }
        include={field.includes("status")}
        order={order}
      >
        Status
      </SortableTh>
      <Th colSpan={1}>Details</Th>
      <Th colSpan={1}>Preview</Th>
    </Tr>
  </Thead>
);

export default ListHead;
