import React, { useState } from "react";

import cn from "classnames";

import { account_api_OwnershipStatusEnum } from "../../../globalTypes";
import { SecondaryButton } from "../../../ui/atoms/Button";
import VerifyContext from "../PropertyEditContext";
import { OwnershipModal } from "./OwnershipModal";

import styles from "./styles.module.css";

export const Ownership = () => {
  const [showModal, setShowModal] = useState(false);

  return (
    <VerifyContext.Consumer>
      {({ ownership, refetchProperty }) => (
        <>
          <SecondaryButton
            className={cn(styles.secondaryButton, "shit")}
            onClick={() => setShowModal(true)}
            type="button"
            disabled={!ownership}
          >
            Ownership
            {ownership?.status ===
              account_api_OwnershipStatusEnum.OWNERSHIP_PENDING && (
              <div className={styles.hasNotes}>1</div>
            )}
          </SecondaryButton>
          {showModal && ownership && refetchProperty && (
            <OwnershipModal
              ownership={ownership}
              hideModal={() => setShowModal(false)}
              refetchProperty={refetchProperty}
            />
          )}
        </>
      )}
    </VerifyContext.Consumer>
  );
};
