import React from "react";

import { ApolloQueryResult } from "apollo-client";

import {
  GetProperty,
  GetProperty_admin_getOwnerships_ownerships,
  GetPropertyVariables,
} from "./graphql/queries/__generated__/GetProperty";

export interface VerifyContextProps {
  publishedInMashroom: boolean;
  addressVerified: boolean;
  descriptionVerified: boolean;
  documentsVerified: boolean;
  feeVerified: boolean;
  photosVerified: boolean;
  publishedInZoopla: boolean;
  publishedInRightmove: boolean;
  handleFormReset(): void;
  handleFormSubmit(): void;
  refetchProperty: (
    variables?: GetPropertyVariables | undefined
  ) => Promise<ApolloQueryResult<GetProperty>>;
  somethingWasChanged: boolean;
  setPublishedInMashroom: React.Dispatch<
    React.SetStateAction<boolean | undefined>
  >;
  ownership: GetProperty_admin_getOwnerships_ownerships | null | undefined;
  submitting: boolean;
  valid: boolean;
}

const VerifyContext = React.createContext<Partial<VerifyContextProps>>({});

export default VerifyContext;
