import React from "react";

import { GetProperty_admin_Property } from "../graphql/queries/__generated__/GetProperty";
import { PublishMashroom, PublishRightmove, PublishZoopla } from "../publish";

type Props = {
  property: GetProperty_admin_Property;
};

const Published = (props: Props) => {
  return (
    <>
      <PublishMashroom
        propertyId={props.property.id as string}
        propertyStatus={props.property.status}
        publishedDate={props.property.admin_verify.publication.verified_at}
        publishedInMashroom={props.property.admin_verify.publication.verified}
        publishedInRightmove={props.property.rightmove.is_publish}
        publishedInZoopla={props.property.zoopla.is_publish}
        publishedUser={props.property.admin_verify.publication.admin}
        version_id={props.property.version_id}
      />
      <PublishZoopla
        propertyId={props.property.id as string}
        publishedInMashroom={props.property.admin_verify.publication.verified}
        version_id={props.property.version_id}
        zoopla={props.property.zoopla}
      />
      <PublishRightmove
        propertyId={props.property.id as string}
        rightmove={props.property.rightmove}
        version_id={props.property.version_id}
      />
    </>
  );
};

export default Published;
