import {
  maintenance_api_MaintenancePlaceEnum,
  maintenance_api_MaintenanceResolutionEnum,
  maintenance_api_MaintenanceStatusEnum,
} from "../../globalTypes";

export type Option = {
  label: string;
  value: string;
};

export const StatusOptions: Option[] = [
  { label: "In works", value: maintenance_api_MaintenanceStatusEnum.IN_WORKS },
  {
    label: "Not addressed",
    value: maintenance_api_MaintenanceStatusEnum.NOT_ADDRESSED,
  },
  { label: "Repaired", value: maintenance_api_MaintenanceStatusEnum.REPAIRED },
];

export const PlaceOptions: Option[] = [
  { label: "Attic", value: maintenance_api_MaintenancePlaceEnum.ATTIC },
  { label: "Basement", value: maintenance_api_MaintenancePlaceEnum.BASEMENT },
  { label: "Bathroom", value: maintenance_api_MaintenancePlaceEnum.BATHROOM },
  { label: "Bedroom", value: maintenance_api_MaintenancePlaceEnum.BEDROOM },
  { label: "Garage", value: maintenance_api_MaintenancePlaceEnum.GARAGE },
  { label: "Hallway", value: maintenance_api_MaintenancePlaceEnum.HALLWAY },
  { label: "Kitchen", value: maintenance_api_MaintenancePlaceEnum.KITCHEN },
  { label: "Outdoor", value: maintenance_api_MaintenancePlaceEnum.OUTDOOR },
  {
    label: "Reception room",
    value: maintenance_api_MaintenancePlaceEnum.RECEPTION_ROOM,
  },
];

export const ResolutionOptions: Option[] = [
  {
    label: "To be replaced",
    value: maintenance_api_MaintenanceResolutionEnum.TO_BE_REPLACED,
  },
  {
    label: "To be discussed",
    value: maintenance_api_MaintenanceResolutionEnum.TO_BE_DISCUSSED,
  },
];
