import React, { useState } from "react";

import classNames from "classnames";

import css from "./index.module.css";

const cn = classNames.bind(css);

type Props = {
  children?: React.ReactChild;
  title?: string;
};

const DealItem = ({ children, title }: Props) => {
  const [isOpen, setIsOpen] = useState(false);
  const handleHeaderClick = () => {
    setIsOpen((prevState) => !prevState);
  };
  return (
    <div className={css.dealItem}>
      <div
        className={cn(css.header, { [css.outline]: isOpen })}
        onClick={handleHeaderClick}
        role="presentation"
      >
        <div className={cn(css.icon, { [css.iconOpen]: isOpen })}>
          <i className="material-icons">expand_more</i>
        </div>
        <span className={css.headerText}>{title}</span>
      </div>
      {isOpen && <div className={css.content}>{children}</div>}
    </div>
  );
};

export default DealItem;
