import React from "react";

import { Th, Tr } from "../../ui/atoms/Table";
import { SortableProps } from "../../ui/molecules/Sortable";
import SortableTh from "../../ui/molecules/SortableTh";

type ListHeadProps = {
  order: number;
  setSort: (sortObj: SortableProps) => void;
  getOrder: (fieldName: string) => number;
  field: string | string[];
};

const ListHead = ({ order, setSort, getOrder, field }: ListHeadProps) => (
  <Tr>
    <Th colSpan={1}>Offer ID</Th>
    <SortableTh
      colSpan={2}
      handleClick={() =>
        setSort({
          field: ["created_at_value"],
          order: getOrder("created_at_value"),
        })
      }
      include={field.includes("created_at_value")}
      order={order}
    >
      Initiated
    </SortableTh>
    <SortableTh
      colSpan={2}
      handleClick={() =>
        setSort({
          field: ["updated_at_value"],
          order: getOrder("updated_at_value"),
        })
      }
      include={field.includes("updated_at_value")}
      order={order}
    >
      Changed
    </SortableTh>
    <Th colSpan={2}>Current stage</Th>
    <Th colSpan={3}>Property</Th>
    <Th colSpan={3}>Landlord</Th>
    <Th colSpan={3}>Leading tenant</Th>
    <Th colSpan={3}>Manager</Th>
    <Th colSpan={1}>Details</Th>
  </Tr>
);

export default ListHead;
