import React from "react";

import { TABS } from "./constants";
import { GetOffer_admin_Offer } from "./graphql/queries/__generated__/GetOffer";
import TabContract from "./tabs/TabContract/TabContract";
import TabDeposit from "./tabs/TabDeposit/TabDeposit";
import TabRentPayment from "./tabs/TabFinalPayment/TabRentPayment";
import TabManager from "./tabs/TabManager";
import TabOffer from "./tabs/TabOffer/TabOffer";
import TabRetnprofile from "./tabs/TabRentprofile/TabRentprofile";
import TabScheduled from "./tabs/TabScheduled";
import TabViewing from "./tabs/TabViewing/TabViewing";

type Props = {
  curTabIndex: number;
  offer: GetOffer_admin_Offer;
  refetchOffer: () => void;
};

const FormComponents = {
  Viewing: TabViewing,
  Offer: TabOffer,
  Deposit: TabDeposit,
  Referencing: TabRetnprofile,
  Contract: TabContract,
  "Rent payment": TabRentPayment,
  Manager: TabManager,
  Scheduled: TabScheduled,
  Services: null,
};

const CurrentSection = ({ index, ...rest }: any) => {
  const Component = FormComponents[TABS[index]];

  if (Component) {
    return <Component {...rest} />;
  }

  return null;
};

const OfferTabContent = (props: Props) => (
  <CurrentSection
    index={props.curTabIndex}
    offer={props.offer}
    refetchOffer={props.refetchOffer}
  />
);

export default OfferTabContent;
