import React from "react";

import { invoice_api_PaymentStatusEnum as PaymentEnum } from "../../globalTypes";
import {
  StatusActive,
  StatusPending,
  StatusVerifying,
} from "../../ui/atoms/Status";
import { PAYMENT_STATUS } from "./constants";

const PaymentStatus = ({ status }: { status: PaymentEnum }) => {
  switch (status) {
    case PaymentEnum.PAYMENT_PENDING:
    case PaymentEnum.PAYMENT_CONFIRM:
      return <StatusPending>{PAYMENT_STATUS[status]}</StatusPending>;
    case PaymentEnum.PAYMENT_FAILED:
    case PaymentEnum.UNKNOWN_PAYMENT_STATUS:
      return <StatusVerifying>{PAYMENT_STATUS[status]}</StatusVerifying>;
    case PaymentEnum.PAYMENT_SUCCESS:
    default:
      return <StatusActive>{PAYMENT_STATUS[status]}</StatusActive>;
  }
};

export default PaymentStatus;
