import {
  offer_api_OfferStateEnum,
  offer_api_OfferStateEnum as OfferStateEnum,
  offer_api_RentPlanEnum,
} from "../../globalTypes";

export const OFFER_STAGE: Record<offer_api_OfferStateEnum, string> = {
  [offer_api_OfferStateEnum.ACTIVE]: "Active",
  [offer_api_OfferStateEnum.RENTPAID]: "Rent paid",
  [offer_api_OfferStateEnum.ERROR]: "Error",
  [offer_api_OfferStateEnum.AWAITING_FEES]: "Awaiting fees",
  [offer_api_OfferStateEnum.DEPOSIT_CONFIRMED]: "Deposit confirmed",
  [offer_api_OfferStateEnum.PENDING]: "Pending",
  [offer_api_OfferStateEnum.CANCELED]: "Canceled",
  [offer_api_OfferStateEnum.AWAITING_DOCUMENTS]: "Awaiting documents",
  [offer_api_OfferStateEnum.AWAITING_CHECKS]: "Referencing: Checks",
  [offer_api_OfferStateEnum.AWAITING_APPROVE]: "Awaiting approve",
  [offer_api_OfferStateEnum.EXPIRED]: "Expired",
  [offer_api_OfferStateEnum.UNKNOWN_OFFER_STATE]: "Unknown offer state",
  [offer_api_OfferStateEnum.CHECKING]: "Checking",
  [offer_api_OfferStateEnum.SIGNING]: "Signing",
  [offer_api_OfferStateEnum.DENIED]: "Denied",
  [offer_api_OfferStateEnum.ACCEPTED]: "Accepted",
  [offer_api_OfferStateEnum.HOLDING_DEPOSIT]: "Holding deposit",
  [offer_api_OfferStateEnum.AWAITING_CONFIRM]: "Confirming deposit",
  [offer_api_OfferStateEnum.SIGNED]: "Signed",
  [offer_api_OfferStateEnum.AWAITING_CONFIRM_RENT]: "Confirming rent payment",
  [offer_api_OfferStateEnum.CONTRACT_PREPARATION]: "Contract preparation",
  [offer_api_OfferStateEnum.CONTRACT_REVIEW_AND_CLAUSES]: "Contract review",
  [offer_api_OfferStateEnum.AWAITING_GUARANTOR]: "Referencing: Guarantors",
  [offer_api_OfferStateEnum.EXTRAS_CONFIRMED]: "Extras confirmed",
  [offer_api_OfferStateEnum.AWAITING_APPLICANT_CHECK_PAYMENT]:
    "Referencing: Payment",
  [offer_api_OfferStateEnum.AWAITING_CONFIRM_EXTRAS]: "Confirming extras",
  [offer_api_OfferStateEnum.AWAITING_RENEW]: "Awaiting renew",
  [offer_api_OfferStateEnum.AWAITING_TENANCY]: "Awaiting tenancy",
  [offer_api_OfferStateEnum.EARLY_TERMINATION]: "Early termination",
  [offer_api_OfferStateEnum.FINISHED]: "Finished",
  [offer_api_OfferStateEnum.TERMINATED]: "Terminated",
  [offer_api_OfferStateEnum.RTO_STATE_ACTIVE]: "Active",
  [offer_api_OfferStateEnum.RTO_STATE_PENDING_SETUP]: "Pending setup",
  [offer_api_OfferStateEnum.RTO_STATE_CANCELLED]: "Canceled",
  [offer_api_OfferStateEnum.RTO_STATE_ACTIVE_ROLLING_TENANCY]:
    "Active rolling tenancy",
  [offer_api_OfferStateEnum.RTO_STATE_FINISHED]: "Finished",
  [offer_api_OfferStateEnum.RTO_STATE_ENDING]: "Ending",
  [offer_api_OfferStateEnum.RTO_STATE_WAITING_FOR_STANDING_ORDER_SETUP]:
    "Awaiting standing order",
  [offer_api_OfferStateEnum.RTO_STATE_WAITING_FOR_TENANT_CONFIRMATION]:
    "Awaiting tenant",
  [offer_api_OfferStateEnum.MANUAL_COLLECTING]: "Manual rent collecting",
  [offer_api_OfferStateEnum.RTO_STATE_WAITING_FOR_PAYMENT]: "Awaiting payment",
};

export const STAGE_FILTER_OPTIONS = [
  {
    label: "Active",
    value: OfferStateEnum.ACTIVE,
  },
  {
    label: "Awaiting fees",
    value: OfferStateEnum.AWAITING_FEES,
  },
  {
    label: "Pending",
    value: OfferStateEnum.PENDING,
  },
  {
    label: "Documents",
    value: OfferStateEnum.AWAITING_DOCUMENTS,
  },
  {
    label: "Referencing checks",
    value: OfferStateEnum.AWAITING_CHECKS,
  },
  {
    label: "Referencing Guarantors",
    value: OfferStateEnum.AWAITING_GUARANTOR,
  },
  {
    label: "Referencing Payment",
    value: OfferStateEnum.AWAITING_APPLICANT_CHECK_PAYMENT,
  },
  {
    label: "Awaiting approve",
    value: OfferStateEnum.AWAITING_APPROVE,
  },
  {
    label: "Expired",
    value: OfferStateEnum.EXPIRED,
  },
  {
    label: "Checking",
    value: OfferStateEnum.CHECKING,
  },
  {
    label: "Canceled",
    value: OfferStateEnum.CANCELED,
  },
  {
    label: "Denied",
    value: OfferStateEnum.DENIED,
  },
  {
    label: "Accepted",
    value: OfferStateEnum.ACCEPTED,
  },
  {
    label: "Holding deposit",
    value: OfferStateEnum.HOLDING_DEPOSIT,
  },
  {
    label: "Confirming deposit",
    value: OfferStateEnum.AWAITING_CONFIRM,
  },
  {
    label: "Deposit confirmed",
    value: OfferStateEnum.DEPOSIT_CONFIRMED,
  },
  {
    label: "Contract preparation",
    value: OfferStateEnum.CONTRACT_PREPARATION,
  },
  {
    label: "Contract review",
    value: OfferStateEnum.CONTRACT_REVIEW_AND_CLAUSES,
  },
  {
    label: "Signing",
    value: OfferStateEnum.SIGNING,
  },
  {
    label: "Signed",
    value: OfferStateEnum.SIGNED,
  },
  {
    label: "Confirming rent payment",
    value: OfferStateEnum.AWAITING_CONFIRM_RENT,
  },
  {
    label: "Rent paid",
    value: OfferStateEnum.RENTPAID,
  },
  {
    label: "Renew",
    value: OfferStateEnum.AWAITING_RENEW,
  },
];

export const TABS = [
  "Viewing",
  "Offer",
  "Deposit",
  "Referencing",
  "Contract",
  "Rent payment",
  "Manager",
  "Scheduled",
  "Services",
];

export const EMPLOYMENT_STATUS = {
  RETIRED: "Retired",
  EMPLOYED: "Employed",
  UNEMPLOYED: "Unemployed",
  STUDENT: "Student",
  UNKNOWN_EMPLOYMENT_STATUS: "Unknown",
};

export const TENANT_RISK = {
  HIGH_RISK: "High risk",
  UNKNOWN_TENANT_RISK: "Unknown risk",
  PENDING_RISK: "Pending risk",
  LOW_RISK: "Low risk",
  MEDIUM_RISK: "Medium risk",
};

export const PAYMENT_STATUS = {
  PAYMENT_CONFIRM: "Payment confirmation",
  UNKNOWN_PAYMENT_STATUS: "Unknown status",
  PAYMENT_SUCCESS: "Payment success",
  PAYMENT_PENDING: "Payment pending",
  PAYMENT_FAILED: "Payment failed",
};

export const OFFER_STATUS = {
  VIEW: "View",
  OFFER: "Offer",
  DEPOSIT: "Deposit",
  RENTPROFILE_CHECK: "Rentprofile check",
  CONTRACT: "Contract",
  RENT_PAYMENT: "Rent payment",
  MOVE_IN: "Move in",
};

export const DOCUMENT_TYPE = {
  BILL: "Bill",
  IDENTITY: "Identity",
  CONTRACT: "Contract",
  CERTIFICATE: "Certificate",
  UNKNOWN_TYPE: "Unknown type",
};

export const DOCUMENT_STATUS = {
  ACTIVE: "Active",
  EXPIRED: "Expired",
  UNAPPROVED: "Unapproved",
  UNKNOWN_DOCUMENT_STATE: "Unknown status",
};

export const DOCUMENT_STATUS_OPTIONS = [
  {
    label: "Active",
    value: "ACTIVE",
  },
  {
    label: "Expired",
    value: "EXPIRED",
  },
  {
    label: "Unapproved",
    value: "UNAPPROVED",
  },
];

export const PAYMENT_FREQUENCY_OPTIONS = [
  { value: 1, label: "Monthly" },
  { value: 3, label: "Quarterly (every 3 months)" },
  { value: 6, label: "Bi-annualy (every 6 months)" },
  { value: 12, label: "Yearly" },
];

export const RENT_PLAN_PACKAGES: Record<offer_api_RentPlanEnum, string> = {
  [offer_api_RentPlanEnum.RENT_PLAN_UNKNOWN]: "Unknown",
  [offer_api_RentPlanEnum.RENT_PLAN_LEGACY]: "Legacy",
  [offer_api_RentPlanEnum.RENT_PLAN_MANUAL]: "Free",
  [offer_api_RentPlanEnum.RENT_PLAN_ESSENTIAL]: "2% Package",
  [offer_api_RentPlanEnum.RENT_PLAN_SECURED]: "5% Package",
};

export const RENT_PLAN_OPTIONS = [
  {
    label: "Free",
    value: offer_api_RentPlanEnum.RENT_PLAN_MANUAL,
  },
  {
    label: "2% Package",
    value: offer_api_RentPlanEnum.RENT_PLAN_ESSENTIAL,
  },
  {
    label: "5% Package",
    value: offer_api_RentPlanEnum.RENT_PLAN_SECURED,
  },
];
