import React from "react";

import { sentenceCase } from "change-case";
import { format } from "date-fns";

import { Td, TdWidth50, Tr } from "../../../../ui/atoms/Table";
import { GetOffer_admin_Offer_clause } from "../../graphql/queries/__generated__/GetOffer";

type Props = {
  clause: GetOffer_admin_Offer_clause;
  idx: number;
};

const ClauseItem: React.FC<Props> = ({ clause, idx }) => {
  return (
    <Tr>
      <Td>{idx + 1}</Td>
      <Td>{format(new Date(clause.created_at), "dd MMM yyyy HH:mm:ss")}</Td>
      <TdWidth50>{clause.text}</TdWidth50>
      <Td>{sentenceCase(clause.state)}</Td>
    </Tr>
  );
};

export default ClauseItem;
