import React, { FC } from "react";

import { Link } from "react-router-dom";

import EmailLink from "../../../../ui/atoms/EmailLink";
import { Td, Tr } from "../../../../ui/atoms/Table";
import {
  GetOffer_admin_Offer_guarantors as Guarantor,
  GetOffer_admin_Offer_tenants as Tenant,
} from "../../graphql/queries/__generated__/GetOffer";

type Props = {
  tenant: Tenant | Guarantor;
};

const TabContractItem: FC<Props> = ({ tenant }) => (
  <Tr>
    <Td>
      <b>
        {tenant.first_name}
        &nbsp;
        {tenant.last_name}
      </b>
    </Td>
    <Td>
      {tenant.user && (
        <div>
          <Link className="link" to={`/users/${tenant.user}/view`}>
            {tenant.user}
          </Link>
        </div>
      )}
      {tenant.email_primary && (
        <EmailLink href={`mailto:${tenant.email_primary}`}>
          {tenant.email_primary}
        </EmailLink>
      )}
    </Td>
    <Td>{tenant.phone_primary && <>{tenant.phone_primary}</>}</Td>
    <Td></Td>
  </Tr>
);

export default TabContractItem;
