function numberFormat(n: number, digits: number) {
  return new Intl.NumberFormat("en", { minimumIntegerDigits: digits }).format(
    n
  );
}

export default function Countdown(props: {
  children: Function;
  msEnd: number;
}) {
  const ms: number = props.msEnd - new Date().getTime();
  const days: number = Math.floor(Math.abs(ms) / (24 * 60 * 60 * 1000));
  const hrs: number = Math.floor(ms / (60 * 60 * 1000));
  const min: number = Math.floor((ms - hrs * 60 * 60 * 1000) / (60 * 1000));
  const time: string = `${numberFormat(hrs, 2)}hrs ${numberFormat(min, 2)}min`;
  const timeExpired: string = `${numberFormat(days, 1)} day(s) ${numberFormat(
    Math.abs(hrs) - days * 24,
    1
  )}hrs ago`;

  return props.children({ ms, time, timeExpired });
}
