import React, { ReactNode } from "react";

import styled from "@emotion/styled";

import {
  PropertyCardItemTitle,
  PropertyCardItemValue,
} from "../../../../../ui/atoms/Property";

export const DefaultRentPaymentTable = ({
  defaultValues,
}: {
  defaultValues: string[];
}) => (
  <>
    {defaultValues.map((e) => (
      <Cell key={e} title={e} />
    ))}
  </>
);

export const TableRentPayment = ({
  defaultValues,
  values,
}: {
  defaultValues: string[];
  values: ReactNode[];
}) => (
  <>
    {defaultValues.map((title, i) => (
      <Cell key={title} title={title} value={values[i]} />
    ))}
  </>
);

const Cell = ({
  title,
  value = "- - -",
}: {
  title: ReactNode;
  value?: ReactNode;
}) => (
  <Col>
    <PropertyCardItemTitle>{title}</PropertyCardItemTitle>
    <PropertyCardItemValue>{value}</PropertyCardItemValue>
  </Col>
);
const Col = styled.div`
  padding-right: 30px;
`;
