import React from "react";

import { Table, Tbody, Thead } from "../../../../ui/atoms/Table";
import TableWrapper from "../../../../ui/atoms/TableWrapper";
import { GetOffer_admin_Offer as Offer } from "../../graphql/queries/__generated__/GetOffer";
import TabViewingHead from "./TabViewingHead";
import TabViewingItem from "./TabViewingItem";

type Props = { offer: Offer };

const TabViewing: React.FC<Props> = ({ offer }) => {
  return (
    <TableWrapper>
      <Table>
        <Thead>
          <TabViewingHead />
        </Thead>
        <Tbody>
          {(offer.viewings ? offer.viewings : []).map((v) => (
            <TabViewingItem key={v.id} viewing={v} />
          ))}
        </Tbody>
      </Table>
    </TableWrapper>
  );
};

export default TabViewing;
