import React, { ComponentProps, FC } from "react";

const DocumentIcon: FC<ComponentProps<"svg">> = (props) => (
  <svg
    fill="none"
    height="69"
    viewBox="0 0 60 69"
    width="60"
    xmlns="http://www.w3.org/2000/svg"
    {...props}
  >
    <g filter="url(#filter0_dd)">
      <path
        d="M50 16.9V53.0651C50 54.9621 48.509 56.5 46.6697 56.5H13.4013C11.5643 56.5 10.0742 54.9658 10.0709 53.0712L10 11.941C9.99675 10.044 11.4851 8.50338 13.3244 8.5H41.7647L50 16.9Z"
        fill="white"
      />
    </g>
    <path
      clipRule="evenodd"
      d="M18.1896 24.3367V17.6508H16V16.5H21.8537V17.6508H19.664V24.3367H18.1896ZM44 22.5H24V24.5H44V22.5ZM16 28.5H44.2353V30.5H16V28.5ZM44.2353 34.5H16V36.5H44.2353V34.5ZM16 40.5H44.2353V42.5H16V40.5ZM38.3529 46.5H16V48.5H38.3529V46.5Z"
      fill="#8EA1B8"
      fillRule="evenodd"
    />
    <mask
      height="14"
      id="mask0"
      mask-type="alpha"
      maskUnits="userSpaceOnUse"
      width="16"
      x="34"
      y="8"
    >
      <path
        d="M41.7639 8.5H34.7051V21.7H49.9992V16.9L41.7639 8.5Z"
        fill="white"
      />
    </mask>
    <g mask="url(#mask0)">
      <g filter="url(#filter1_dd)">
        <path d="M41.7637 16.9H49.999L41.7637 8.5V16.9Z" fill="white" />
      </g>
    </g>
    <defs>
      <filter
        colorInterpolationFilters="sRGB"
        filterUnits="userSpaceOnUse"
        height="68"
        id="filter0_dd"
        width="60"
        x="0"
        y="0.5"
      >
        <feFlood floodOpacity="0" result="BackgroundImageFix" />
        <feColorMatrix
          in="SourceAlpha"
          type="matrix"
          values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"
        />
        <feOffset dy="1" />
        <feGaussianBlur stdDeviation="1.5" />
        <feColorMatrix
          type="matrix"
          values="0 0 0 0 0.550866 0 0 0 0 0.693925 0 0 0 0 0.836985 0 0 0 0.249945 0"
        />
        <feBlend
          in2="BackgroundImageFix"
          mode="normal"
          result="effect1_dropShadow"
        />
        <feColorMatrix
          in="SourceAlpha"
          type="matrix"
          values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"
        />
        <feOffset dy="2" />
        <feGaussianBlur stdDeviation="5" />
        <feColorMatrix
          type="matrix"
          values="0 0 0 0 0.191615 0 0 0 0 0.229273 0 0 0 0 0.268144 0 0 0 0.0817308 0"
        />
        <feBlend
          in2="effect1_dropShadow"
          mode="normal"
          result="effect2_dropShadow"
        />
        <feBlend
          in="SourceGraphic"
          in2="effect2_dropShadow"
          mode="normal"
          result="shape"
        />
      </filter>
      <filter
        colorInterpolationFilters="sRGB"
        filterUnits="userSpaceOnUse"
        height="28.4"
        id="filter1_dd"
        width="28.2353"
        x="31.7637"
        y="0.5"
      >
        <feFlood floodOpacity="0" result="BackgroundImageFix" />
        <feColorMatrix
          in="SourceAlpha"
          type="matrix"
          values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"
        />
        <feOffset dy="1" />
        <feGaussianBlur stdDeviation="1.5" />
        <feColorMatrix
          type="matrix"
          values="0 0 0 0 0.550866 0 0 0 0 0.693925 0 0 0 0 0.836985 0 0 0 0.249945 0"
        />
        <feBlend
          in2="BackgroundImageFix"
          mode="normal"
          result="effect1_dropShadow"
        />
        <feColorMatrix
          in="SourceAlpha"
          type="matrix"
          values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"
        />
        <feOffset dy="2" />
        <feGaussianBlur stdDeviation="5" />
        <feColorMatrix
          type="matrix"
          values="0 0 0 0 0.191615 0 0 0 0 0.229273 0 0 0 0 0.268144 0 0 0 0.0817308 0"
        />
        <feBlend
          in2="effect1_dropShadow"
          mode="normal"
          result="effect2_dropShadow"
        />
        <feBlend
          in="SourceGraphic"
          in2="effect2_dropShadow"
          mode="normal"
          result="shape"
        />
      </filter>
    </defs>
  </svg>
);

export default DocumentIcon;
