import React from "react";

import { Th, Thead, ThWidth1, Tr } from "../../../ui/atoms/Table";
import SortableTh from "../../../ui/molecules/SortableTh";

type ListHeadProps = {
  order: number;
  setSort: ({ field, order }: { field: string[]; order: number }) => void;
  getOrder: (fieldName: string) => number;
  field: string | string[];
};

const ListHead = ({ order, setSort, getOrder, field }: ListHeadProps) => (
  <Thead>
    <Tr>
      <ThWidth1 />
      <SortableTh
        handleClick={() =>
          setSort({
            field: ["id"],
            order: getOrder("id"),
          })
        }
        include={field.includes("id")}
        order={order}
      >
        ID
      </SortableTh>
      <SortableTh
        handleClick={() =>
          setSort({
            field: ["reference"],
            order: getOrder("reference"),
          })
        }
        include={field.includes("reference")}
        order={order}
      >
        Reference
      </SortableTh>
      <SortableTh
        handleClick={() =>
          setSort({
            field: ["created"],
            order: getOrder("created"),
          })
        }
        include={field.includes("created")}
        order={order}
      >
        Created at
      </SortableTh>
      <SortableTh
        handleClick={() =>
          setSort({
            field: ["updated"],
            order: getOrder("updated"),
          })
        }
        include={field.includes("updated")}
        order={order}
      >
        Updated at
      </SortableTh>
      <Th>Property</Th>
      <Th>Payer</Th>
      <Th>Type</Th>
      <Th>Service</Th>
      <Th>Amount</Th>
      <Th>Xero code</Th>
      <Th>Status</Th>
      <Th>Details</Th>
    </Tr>
  </Thead>
);

export default ListHead;
