import { sentenceCase } from "change-case";

import { invoice_api_InvoiceTypeEnum } from "../../../../globalTypes";

export const getInvoiceType = (type: invoice_api_InvoiceTypeEnum) => {
  switch (type) {
    case invoice_api_InvoiceTypeEnum.INVOICE_TYPE_PAYMENT: {
      return "Credit";
    }

    case invoice_api_InvoiceTypeEnum.INVOICE_TYPE_PAYOUT: {
      return "Debit";
    }

    case invoice_api_InvoiceTypeEnum.INVOICE_TYPE_UNKNOWN: {
      return "Unknown";
    }

    default: {
      return sentenceCase(type);
    }
  }
};
