import React from "react";

import { Th, Thead, Tr } from "../../ui/atoms/Table";
import { SortableProps } from "../../ui/molecules/Sortable";
import SortableTh from "../../ui/molecules/SortableTh";

type ListHeadProps = {
  order: number;
  setSort: (sortObj: SortableProps) => void;
  getOrder: (fieldName: string) => number;
  field: string | string[];
};

const ListHead = ({ order, setSort, getOrder, field }: ListHeadProps) => (
  <Thead>
    <Tr>
      <SortableTh
        handleClick={() =>
          setSort({
            field: ["id"],
            order: getOrder("id"),
          })
        }
        include={field.includes("id")}
        order={order}
      >
        Payment ID
      </SortableTh>
      <SortableTh
        handleClick={() =>
          setSort({
            field: ["invoice"],
            order: getOrder("invoice"),
          })
        }
        include={field.includes("invoice")}
        order={order}
      >
        Invoice ID
      </SortableTh>
      <SortableTh
        handleClick={() =>
          setSort({
            field: ["reference"],
            order: getOrder("reference"),
          })
        }
        include={field.includes("reference")}
        order={order}
      >
        Reference
      </SortableTh>
      <SortableTh
        handleClick={() =>
          setSort({
            field: ["created"],
            order: getOrder("created"),
          })
        }
        include={field.includes("created")}
        order={order}
      >
        Created at
      </SortableTh>
      <SortableTh
        handleClick={() =>
          setSort({
            field: ["updated"],
            order: getOrder("updated"),
          })
        }
        include={field.includes("updated")}
        order={order}
      >
        Updated at
      </SortableTh>
      <Th>Property</Th>
      <Th>Payer</Th>
      <Th>Amount</Th>
      <Th>Status</Th>
    </Tr>
  </Thead>
);

export default ListHead;
