import React from "react";

import { Th, Tr } from "../../ui/atoms/Table";
import { SortableProps } from "../../ui/molecules/Sortable";
import SortableTh from "../../ui/molecules/SortableTh";

type ListHeadProps = {
  order: number;
  setSort: (sortObj: SortableProps) => void;
  getOrder: (fieldName: string) => number;
  field: string | string[];
};

const ListHead = ({ order, setSort, getOrder, field }: ListHeadProps) => (
  <Tr>
    <SortableTh
      colSpan={2}
      handleClick={() =>
        setSort({
          field: ["details.first_name", "details.last_name"],
          order: getOrder("details.first_name"),
        })
      }
      include={field.includes("details.first_name")}
      order={order}
    >
      Full Name
    </SortableTh>
    <SortableTh
      colSpan={3}
      handleClick={() =>
        setSort({
          field: ["contact.email_primary"],
          order: getOrder("contact.email_primary"),
        })
      }
      include={field.includes("contact.email_primary")}
      order={order}
    >
      E-mail
    </SortableTh>
    <Th colSpan={2}>Phone</Th>
    <Th colSpan={1}>Properties</Th>
    <Th colSpan={1}>Viewings</Th>
    <Th colSpan={1}>Sign up date</Th>
    <Th colSpan={1}>Sign up method</Th>
    <Th>&nbsp;</Th>
  </Tr>
);

export default ListHead;
