import { extras_api_TaxTypeEnum } from "../../globalTypes";
import { ServiceRoleEnum, ServiceTypeEnum } from "./types";

export const defaultProduct = {
  code: "",
  title: "",
  price: 0,
  tax_type: extras_api_TaxTypeEnum.TAX_TYPE_NONE,
  type: ServiceTypeEnum.UnknownServiceType,
  role: ServiceRoleEnum.UnknownServiceRole,
  disabled: false,
  cart_product: true,
};

export const CartProductOptions = [
  { label: "Yes", value: true },
  { label: "No", value: false },
];

export const TaxTypeOptions = [
  { label: "None", value: extras_api_TaxTypeEnum.TAX_TYPE_NONE },
  { label: "VAT", value: extras_api_TaxTypeEnum.TAX_TYPE_VAT },
  { label: "IPT", value: extras_api_TaxTypeEnum.TAX_TYPE_IPT },
];
export const RoleOptions: { label: string; value: ServiceRoleEnum }[] = [
  { label: "Landlord listing", value: ServiceRoleEnum.LandlordListing },
  { label: "Landlord services", value: ServiceRoleEnum.LandlordServices },
  { label: "Landlord claim", value: ServiceRoleEnum.LandlordClaim },
  { label: "Tenant insurance", value: ServiceRoleEnum.TenantInsurance },
  { label: "Tenant deposit", value: ServiceRoleEnum.TenantDeposit },
  { label: "Tenant services", value: ServiceRoleEnum.TenantServices },
  { label: "Unknown service role", value: ServiceRoleEnum.UnknownServiceRole },
];
export const ProductTypeOptions: { label: string; value: ServiceTypeEnum }[] = [
  { label: "Advanced rent plan", value: ServiceTypeEnum.AdvancedRentPlan },
  { label: "Bundle", value: ServiceTypeEnum.Bundle },
  { label: "Certificate", value: ServiceTypeEnum.Certificate },
  { label: "Check in report", value: ServiceTypeEnum.CheckInReport },
  { label: "Check out report", value: ServiceTypeEnum.CheckOutReport },
  { label: "Deposit", value: ServiceTypeEnum.Deposit },
  { label: "Deposit insurance", value: ServiceTypeEnum.DepositInsurance },
  { label: "Eic report", value: ServiceTypeEnum.EicReport },
  { label: "Extra listing", value: ServiceTypeEnum.ExtraListing },
  {
    label: "Home emergency insurance",
    value: ServiceTypeEnum.HomeEmergencyInsurance,
  },
  { label: "Inventory report", value: ServiceTypeEnum.InventoryReport },
  { label: "Listing fee", value: ServiceTypeEnum.ListingFee },
  { label: "Photos floor plan", value: ServiceTypeEnum.PhotosFloorPlan },
  { label: "Referencing check", value: ServiceTypeEnum.ReferencingCheck },
  { label: "Rent", value: ServiceTypeEnum.Rent },
  {
    label: "Rent guarantee insurance",
    value: ServiceTypeEnum.RentGuaranteeInsurance,
  },
  { label: "Unknown type", value: ServiceTypeEnum.UnknownServiceType },
];
