import { extras_api_TaxTypeEnum } from "../../globalTypes";

export enum ServiceTypeEnum {
  AdvancedRentPlan = "ADVANCED_RENT_PLAN",
  Bundle = "BUNDLE",
  Certificate = "CERTIFICATE",
  CheckInReport = "CHECK_IN_REPORT",
  CheckOutReport = "CHECK_OUT_REPORT",
  Deposit = "DEPOSIT",
  DepositInsurance = "DEPOSIT_INSURANCE",
  EicReport = "EIC_REPORT",
  ExtraListing = "EXTRA_LISTING",
  HomeEmergencyInsurance = "HOME_EMERGENCY_INSURANCE",
  InventoryReport = "INVENTORY_REPORT",
  ListingFee = "LISTING_FEE",
  PhotosFloorPlan = "PHOTOS_FLOOR_PLAN",
  ReferencingCheck = "REFERENCING_CHECK",
  Rent = "RENT",
  RentGuaranteeInsurance = "RENT_GUARANTEE_INSURANCE",
  UnknownServiceType = "UNKNOWN_SERVICE_TYPE",
}

export enum ServiceRoleEnum {
  LandlordListing = "LANDLORD_LISTING",
  LandlordServices = "LANDLORD_SERVICES",
  LandlordClaim = "LANDLORD_CLAIM",
  TenantDeposit = "TENANT_DEPOSIT",
  TenantInsurance = "TENANT_INSURANCE",
  TenantServices = "TENANT_SERVICES",
  UnknownServiceRole = "UNKNOWN_SERVICE_ROLE",
}

export enum ModalModeEnum {
  Edit = "EDIT",
  Add = "ADD",
  View = "VIEW",
}

export type Product = {
  code: string;
  title: string;
  price: number;
  tax_type: extras_api_TaxTypeEnum;
  type: ServiceTypeEnum;
  role: ServiceRoleEnum;
  disabled: boolean;
  cart_product: boolean;
  // optional
  id?: string;
  tax_percentage?: number;
  tax_amount?: number;
  description?: string;
  reference_id?: string;
  reference_provider?: string;
  page_url?: string;
  main_icon_url?: string;
};

export type FormDataProduct = {
  code: string;
  title: string;
  price: number;
  tax_type: { label: string; value: extras_api_TaxTypeEnum };
  type: { label: string; value: ServiceTypeEnum };
  role: { label: string; value: ServiceRoleEnum };
  disabled: boolean;
  cart_product: { label: string; value: boolean };
  // optional
  id?: string;
  tax_percentage?: number;
  tax_amount?: number;
  description?: string;
  reference_id?: string;
  reference_provider?: string;
};

export type FormData = {
  product: FormDataProduct;
};
