import styled from "@emotion/styled";

import { colors } from "../../theme";
import { ButtonProps } from "./index";

export const StyledButton = styled.button<ButtonProps>`
  border-radius: 0.5em;
  border-color: ${colors.tomato};
  border-style: none;
  color: ${colors.white};
  background: ${colors.mashPaleRed};
  border-width: 0.12em;
  height: 2.3em;
  line-height: 2.3em;
  font-size: 1em;
  font-weight: 500;
  vertical-align: center;
  width: ${({ width }) => width || "fit-content"};
  cursor: pointer;
  display: flex;
  justify-content: center;

  :disabled {
    background: ${colors.blueyGrey};
    cursor: not-allowed;
  }
`;
