import React, { FC } from "react";

import { CheckboxContainer, CheckboxInput, CheckboxLabel } from "./styles";

type CheckboxProps = {} & React.HTMLProps<HTMLInputElement>;

const Checkbox: FC<CheckboxProps> = (props) => (
  <CheckboxContainer>
    <CheckboxInput
      id={`${props.id}_input`}
      type={"checkbox"}
      {...props}
    ></CheckboxInput>
    {props.title && (
      <CheckboxLabel id={`${props.id}_label`} htmlFor={props.id}>
        {props.title}
      </CheckboxLabel>
    )}
  </CheckboxContainer>
);

export default Checkbox;
