import { ComponentProps } from "react";

import styled from "@emotion/styled";

import { colors } from "../../theme";

export const CheckboxContainer = styled.div`
  display: flex;
`;

export const CheckboxInput = styled.input`
  appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none;
  background-color: white;
  margin: 0.1rem;
  width: 1rem;
  min-width: 1rem;
  height: 1rem;
  min-height: 1rem;
  border: 0.1em solid ${colors.blueyGrey};
  border-radius: 0.3em;
  display: grid;
  place-content: center;
  box-sizing: border-box;

  ::before {
    content: "";
    width: 0.65em;
    height: 0.65em;
    transform: scale(0);
    transition: 120ms transform ease-in-out;
    box-shadow: inset 1em 1em ${colors.mashPaleRed};
    transform-origin: bottom left;
    clip-path: polygon(14% 44%, 0 65%, 50% 100%, 100% 16%, 80% 0%, 43% 62%);
  }

  :checked::before {
    transform: scale(1);
  }

  :disabled {
    background-color: ${colors.serviceLightGrey};
    cursor: not-allowed;
  }
`;

export const CheckboxLabel = styled.label<ComponentProps<"label">>`
  padding-left: 0.3rem;
`;
