import React, { ComponentProps, FC } from "react";

import { FieldRenderProps } from "react-final-form";

import { StyledInput } from "./styles";

export const InputField = (input) => (
  <FormInput
    {...input}
    data-invalid={input.meta.touched && input.meta.invalid}
  />
);

type FormInputProps = {
  errorOnly?: boolean;
} & FieldRenderProps<string> &
  ComponentProps<"input">;

const FormInput: FC<FormInputProps> = ({ input, ...props }) => (
  <StyledInput {...input} {...props} />
);

export const Input: FC<ComponentProps<"input">> = (props) => (
  <StyledInput {...props} />
);

export default FormInput;
