import styled from "@emotion/styled";

import { colors } from "../../theme";

export const StyledInput = styled.input`
  border-radius: 0.5em;
  border-color: ${colors.blueyGrey};
  border-style: solid;
  border-width: 0.12em;
  height: 2.3em;
  padding: 1em;
  font-size: 1em;
  font-weight: 500;

  :not([readonly]):focus {
    border-color: ${colors.black};
  }

  :is([readonly]) {
    background-color: ${colors.serviceLightGrey};

    :hover {
      cursor: not-allowed;
    }
  }

  &[data-invalid="true"] {
    border-color: ${colors.mashPaleRed};
  }

  &[type="date"] {
    &[value=""]::before {
      content: attr(placeholder);
      position: absolute;
      color: ${colors.serviceGrey};
    }

    :focus::before {
      content: "";
    }

    &[value=""] {
      color: #ffffff;
    }

    :focus,
    :not([value=""]) {
      color: inherit;
    }
  }
`;
