import React from "react";

import { useApolloClient } from "react-apollo";

import { AuthContext } from "../../../auth/AuthContext";
import { handleLogout } from "../../../auth/Logout";
import { StyledLogoutButton } from "./styles";

const LogoutButton = () => {
  const client = useApolloClient();
  return (
    <AuthContext.Consumer>
      {({ logOut }) => (
        <StyledLogoutButton onClick={() => handleLogout(client, logOut)}>
          Logout
        </StyledLogoutButton>
      )}
    </AuthContext.Consumer>
  );
};

export default LogoutButton;
