import React, { FC } from "react";

import {
  CloseButton,
  CloseButtonContainer,
  ModalContainer,
  ModalContent,
  ModalHeader,
} from "./styles";

type ModalProps = {
  title: string;
  onClose: Function;
  width?: string;
  height?: string;
};

const Modal: FC<ModalProps> = ({ title, onClose, children, width, height }) => (
  <ModalContainer>
    <ModalContent width={width} height={height}>
      <ModalHeader>
        {title}
        <CloseButtonContainer>
          <CloseButton onClick={() => onClose()}>
            <i className="material-icons-outlined">close</i>
          </CloseButton>
        </CloseButtonContainer>
      </ModalHeader>
      {children}
    </ModalContent>
  </ModalContainer>
);

export default Modal;
