import styled from "@emotion/styled";

import { colors, params } from "../../theme";

export const ModalContainer = styled.div`
  position: fixed;
  left: 0;
  top: 0;
  height: 100%;
  width: 100%;
  margin: 0;
  padding: 0;
  z-index: 1;
  background-color: rgba(0, 0, 0, 0.6);
  -webkit-transition: 0.5s;
  transition: all 0.3s linear;
  overflow: auto;
`;

export const ModalContent = styled.div<{ width; height }>`
  position: absolute;
  left: 50%;
  top: 35%;
  transform: translate(-50%, -50%);
  min-width: fit-content;
  width: ${({ width }) => width || "50%"};
  @media (max-width: ${params.screens.tablet.max}) {
    width: 70%;
  }
  height: ${({ height }) => height || "fit-content"};
  background: white;
  border-radius: 1em;
  padding: 2em;
`;

export const ModalHeader = styled.div`
  font-size: 1.2em;
  font-weight: 600;
  display: flex;
  align-items: center;
  padding-bottom: 1em;
`;

export const CloseButtonContainer = styled.div`
  display: flex;
  flex-grow: 1;
  justify-content: end;
`;

export const CloseButton = styled.div`
  display: flex;
  align-items: center;
  justify-content: center;
  border: 0;
  background-color: ${colors.aquaHaze};
  border-radius: 50%;
  -moz-border-radius: 50%;
  -webkit-border-radius: 50%;
  height: 1.4em;
  width: 1.4em;
  cursor: pointer;
  color: ${colors.serviceGrey};

  :hover {
    background-color: ${colors.mashPaleRed};
    color: ${colors.white};
  }

  & > * {
    font-size: 1em;
  }
`;
