import React, { FC } from "react";

import { FieldRenderProps } from "react-final-form";
import PhoneInput, { PhoneInputProps } from "react-phone-input-2";

import PhoneInputStyles from "./styles";

import "react-phone-input-2/lib/plain.css";

export const PhoneInputField = (input) => (
  <FormPhoneInput
    {...input}
    data-invalid={input.meta.touched && input.meta.invalid}
  />
);

type PhoneFormInputProps = {
  errorOnly?: boolean;
} & FieldRenderProps<string> &
  PhoneInputProps;

const FormPhoneInput: FC<PhoneFormInputProps> = (props) => (
  <>
    <PhoneInputStyles />
    <PhoneInput
      {...props}
      {...props.input}
      value={props.input.value}
      disabled={props.readOnly}
      country="gb"
      preferredCountries={["gb"]}
      buttonClass="phone-button"
      inputClass="phone-input"
      onChange={(v) => props.input.onChange(v)}
      isValid={
        !props.meta?.touched || (props.meta?.touched && !props.meta?.invalid)
      }
    />
  </>
);

export default FormPhoneInput;
