import { keyframes } from "@emotion/react";
import styled from "@emotion/styled";

import { SpinnerSize } from "./index";

import css from "@emotion/css";

const sizeMapping = new Map<SpinnerSize, string>([
  ["sm", "1em"],
  ["md", "1.5em"],
  ["lg", "2em"],
]);

const SpinnerAnimation = keyframes`
  0% {
    transform: rotate(0);
  }
  100% {
    transform: rotate(360deg);
  }
`;

export const SpinnerContainer = styled.div<{ size: SpinnerSize }>`
  animation: ${SpinnerAnimation} infinite 0.6s linear;
  ${({ size }) => css`
    width: ${sizeMapping.get(size)};
    height: ${sizeMapping.get(size)};
    font-size: ${sizeMapping.get(size)};
    line-height: ${sizeMapping.get(size)};
  `}
`;
