import React, { ComponentProps } from "react";

import { SpinnerContainer } from "./index.style";

export type SpinnerSize = "sm" | "md" | "lg";

export type SpinnerProps = ComponentProps<"div"> & {
  color?: string;
  size: SpinnerSize;
};

const SVGSpinnerImage: React.FC<ComponentProps<"svg">> = ({
  fill = "#FFF",
}) => (
  <svg viewBox="0 0 80 80" xmlns="http://www.w3.org/2000/svg">
    <path
      d="M40 72A32 32 0 018 40 32 32 0 0140 8a32 32 0 0132 32c0 1.1-.9 2-2 2s-2-.9-2-2c0-15.4-12.6-28-28-28S12 24.6 12 40s12.6 28 28 28c1.1 0 2 .9 2 2s-.9 2-2 2z"
      fill={fill}
    />
  </svg>
);

const Spinner: React.FC<SpinnerProps> = ({ color, size }) => (
  <SpinnerContainer size={size}>
    <SVGSpinnerImage fill={color} />
  </SpinnerContainer>
);

export default Spinner;
