import React, { FC } from "react";

import { Elements } from "@stripe/react-stripe-js";
import { loadStripe } from "@stripe/stripe-js";

// Make sure to call `loadStripe` outside of a component’s render to avoid
// recreating the `Stripe` object on every render.

if (!process.env.REACT_APP_STRIPE_PUBLIC_KEY) {
  throw new Error("STRIPE_PUBLIC_KEY is not set");
}
const stripePromise = loadStripe(process.env.REACT_APP_STRIPE_PUBLIC_KEY, {});

const StripeLoaderContextProvider: FC = ({ children }) => (
  <Elements stripe={stripePromise}>{children}</Elements>
);

export default StripeLoaderContextProvider;
