import styled from "@emotion/styled";
import { StripeElementStyle } from "@stripe/stripe-js/types/stripe-js/elements/base";

import { colors } from "../../theme";

import css from "@emotion/css";

export const StripeInputStyle: StripeElementStyle = {
  base: {
    fontSize: "17px",
    fontWeight: "500",
  },
};

export const StripePaymentContainer = styled.div`
  display: flex;
  flex-direction: column;
  row-gap: 1em;
`;

export const ElementsContainer = styled.div`
  display: flex;
  gap: 0.5rem;
`;

export const ElementContainer = styled.div<{ type: string }>`
  border-radius: 0.5em;
  border-color: ${colors.blueyGrey};
  border-style: solid;
  border-width: 0.12em;
  height: 2.3em;
  padding: 1em;
  display: flex;
  align-items: center;

  ${({ type }) =>
    type === "number"
      ? css`
          width: 12.5rem;
        `
      : type === "expire"
      ? css`
          width: 5.5rem;
        `
      : type === "cvc"
      ? css`
          width: 4.2rem;
        `
      : ""};

  .StripeElement {
    flex-grow: 1;
  }

  :has(.StripeElement--focus) {
    border-color: ${colors.black};
  }

  :has(.StripeElement--invalid) {
    border-color: ${colors.mashPaleRed};
  }
`;

export const StripeLogoContainer = styled.div`
  display: flex;
  justify-content: end;
`;
