import React from "react";

import { Route, Switch } from "react-router-dom";

import { Content, Header, MainContainer } from "./components/Layout";
import LogoRed from "./components/Logo/LogoRed";
import LogoutButton from "./components/Logout";
import AccountDetailsPage from "./pages/AccountDetails";
import LeadSearchPage from "./pages/LeadSearch";
import MainPage from "./pages/Main";

const IndexPage = () => {
  return (
    <MainContainer>
      <Header>
        <LogoRed />
        <LogoutButton />
      </Header>
      <Content>
        <Switch>
          <Route component={LeadSearchPage} exact path="/remote-sales"></Route>
          <Route
            component={AccountDetailsPage}
            path="/remote-sales/account-details"
          ></Route>
          <Route component={MainPage} path="/remote-sales/main"></Route>
        </Switch>
      </Content>
    </MainContainer>
  );
};

export default IndexPage;
