export type AddressOption = {
  address: string;
  url: string;
};

export type Address = {
  address: string;
  address1?: string;
  address2?: string;
  address3?: string;
  address4?: string;
  flat?: string;
  building: string;
  street: string;
  city: string;
  county: string;
  country: string;
  postcode: string;
  gps: { latitude: String; longitude: String };
};

export const createAddress = (location: any): Address => {
  return {
    address: location?.address || "",
    address1: location?.address1 || "",
    address2: location?.address2 || "",
    address3: location?.address3 || "",
    address4: location?.address4 || "",
    flat: location?.flat || "",
    building: location?.building || "",
    street: location?.street || "",
    city: location?.city || "",
    county: location?.county || "",
    country: location?.country || "",
    postcode: location?.postcode || "",
    gps: {
      latitude: location?.gps?.latitude || "",
      longitude: location?.gps?.longitude || "",
    },
  };
};
