import {
  offer_api_rto_RentPlanEnum,
  offer_api_rto_RtoStateEnum,
} from "../../../globalTypes";

export const RENT_PLANS = [
  {
    label: "2% Package",
    value: offer_api_rto_RentPlanEnum.RENT_PLAN_ESSENTIAL,
  },
  {
    label: "5% Package",
    value: offer_api_rto_RentPlanEnum.RENT_PLAN_SECURED,
  },
];

export const RTO_STATE_TITLES = new Map<offer_api_rto_RtoStateEnum, string>([
  [offer_api_rto_RtoStateEnum.RTO_STATE_ACTIVE, "Active"],
  [
    offer_api_rto_RtoStateEnum.RTO_STATE_ACTIVE_ROLLING_TENANCY,
    "Active rolling enancy",
  ],
  [offer_api_rto_RtoStateEnum.RTO_STATE_CANCELLED, "Cancelling"],
  [offer_api_rto_RtoStateEnum.RTO_STATE_ENDING, "Ending"],
  [offer_api_rto_RtoStateEnum.RTO_STATE_FINISHED, "Finished"],
  [offer_api_rto_RtoStateEnum.RTO_STATE_PENDING_SETUP, "Pending setup"],
  [offer_api_rto_RtoStateEnum.RTO_STATE_UNKNOWN, "Unknown"],
  [
    offer_api_rto_RtoStateEnum.RTO_STATE_WAITING_FOR_STANDING_ORDER_SETUP,
    "Waiting for stainding order",
  ],
  [
    offer_api_rto_RtoStateEnum.RTO_STATE_WAITING_FOR_PAYMENT,
    "Waiting for payment",
  ],
  [
    offer_api_rto_RtoStateEnum.RTO_STATE_WAITING_FOR_TENANT_CONFIRMATION,
    "Waiting for tenant confirmation",
  ],
]);

export interface Rto {
  id: string;
  created: string;
  landlordId: string;
  propertyId: string;
  rentPlan: offer_api_rto_RentPlanEnum;
  state: offer_api_rto_RtoStateEnum;
  startDate: string;
  endDate: string;
  paymentDay: number;
  rentAmount: number;
  tenantEmail: string;
  tenantPhone: string;
  tenantFirstName: string;
  tenantLastName: string;
  paymentSetup: boolean;
}
