import { BankDetails } from "./account";
import { Address } from "./address";
import { Rto } from "./offer";
import { PropertyProduct } from "./product";

export type Property = {
  id: string;
  listingId: string;
  address: Address;
  addressLine: string;
  products?: Array<PropertyProduct>;
  activeRto?: Rto;
  bankDetails?: BankDetails;
  status: PropertyStatus;
  approved?: boolean;
};

export enum PropertyStatus {
  VERSION_STATUS_UNKNOWN = "UNKNOWN",
  VERSION_DRAFT = "DRAFT",
  VERSION_VERIFYING = "VERIFYING",
  VERSION_VERIFIED = "VERIFIED",
  VERSION_LET = "LET",
  VERSION_ARCHIVE = "ARCHIVE",
  VERSION_WITHDRAWN = "WITHDRAWN",
  VERSION_RENT_COLLECTION = "RENT COLLECTION",
}
