export const getEnumKeyByEnumValue = <T>(
  enumType: any,
  val: number | string
): T | undefined => {
  const e = Object.entries(enumType).find((e) => e[0] === val);
  return e ? ((e[1] as unknown) as T) : undefined;
};

export const fixTimezoneOffsetForLocalDate = (
  date: Date | string,
  withHoursAndMinutes?: boolean
) => {
  const d = new Date(date);
  return new Date(
    Date.UTC(
      d.getFullYear(),
      d.getMonth(),
      d.getDate(),
      withHoursAndMinutes ? d.getHours() : 0,
      withHoursAndMinutes ? d.getMinutes() : 0
    )
  ).toUTCString();
};
