import styled from "@emotion/styled";

import { ButtonProps } from "../../../components/Button";
import { colors } from "../../../theme";

export const FormContainer = styled.div`
  display: flex;
  flex-direction: column;
  height: fit-content;
  background-color: ${colors.white};
  border-radius: 0.8em;
  padding: 1em;
  gap: 1em;
`;

export const NamesContainer = styled.div`
  display: flex;
  gap: 1em;

  & > * {
    flex-grow: 1;
  }
`;

export const Footer = styled.div`
  display: flex;
  gap: 1em;
`;

export const ButtonsContainer = styled.div`
  display: flex;
  flex-grow: 1;
  justify-content: end;
  gap: 1em;
`;

export const BankDetailsButton = styled.button<
  { active: boolean } & ButtonProps
>`
  border-radius: 0.8em;
  border: none;
  padding: 0 0.5rem 0 0.5rem;
  margin: 0 0 0.5rem 0.5rem;
  width: fit-content;
  font-weight: 600;
  font-size: 0.7rem;
  background-color: ${({ active }) =>
    active ? colors.blushGreen : colors.mashPaleRed};
  color: ${({ active }) => (active ? colors.black : colors.white)};
  cursor: pointer;
`;
