import React from "react";

import { CardTitle } from "../../../styles";
import { colors } from "../../../theme";
import { AccountInfoContainer, Text } from "./styles";

export const NoAccountFound = () => {
  return (
    <AccountInfoContainer bgColor={colors.blush}>
      <CardTitle>No account found</CardTitle>
      <Text>
        <div style={{ paddingBottom: "1em" }}>
          Ask the customer if they have signed up to Mashroom:
        </div>
        <div>1. If they have, ask and enter the Mashroom email below.</div>
        <div>
          2. If they have not, the invoice will be set and sent to the details
          below.
        </div>
      </Text>
    </AccountInfoContainer>
  );
};

export const AccountFound = () => {
  return (
    <AccountInfoContainer bgColor={colors.blushGreen}>
      <CardTitle>Account has been found</CardTitle>
      <Text>
        <div style={{ paddingBottom: "1em" }}>
          Ask the customer if the details below are correct.
        </div>
      </Text>
    </AccountInfoContainer>
  );
};
