import React from "react";

import Spinner from "../../../components/Spinner";
import { CardTitle } from "../../../styles";
import { colors } from "../../../theme";
import { LeadContainer, SpinnerContainer } from "./styles";

type LeadSearchProps = {
  leadId: string;
};

const LeadSearchProgress = (props: LeadSearchProps) => (
  <LeadContainer>
    <CardTitle>Searching for matches...</CardTitle>
    <div>by lead id: {props.leadId}</div>
    <SpinnerContainer>
      <Spinner color={colors.mashPaleRed} size="lg" />
    </SpinnerContainer>
  </LeadContainer>
);

export default LeadSearchProgress;
