import styled from "@emotion/styled";

import { colors } from "../../../../theme";

export const AddressFormContainer = styled.fieldset`
  display: flex;
  flex-direction: column;
  border-radius: 0.5em;
  border-color: ${colors.blueyGrey};
  border-style: solid;
  border-width: 0.12em;
  gap: 0.5em;
  padding: 1em;
`;

export const ErrorsContainer = styled.div`
  display: flex;
  align-items: center;
  font-weight: bold;
  color: ${colors.mashPaleRed};
  padding-top: 1em;
`;

export const Label = styled.label`
  color: ${colors.serviceGrey};
  font-size: 0.8em;
  padding-left: 0.5em;
`;

export const InputGroup = styled.div`
  display: flex;
  flex-direction: column;
`;

export const SpinnerContainer = styled.div`
  padding-bottom: 1rem;
  width: 100%;
  display: flex;
  justify-content: center;
  position: absolute;
`;

export const ButtonsContainer = styled.div`
  display: flex;
  flex-direction: column;
  padding-top: 1em;
  position: relative;
`;
