import styled from "@emotion/styled";

import { colors } from "../../../../theme";

export const BankDetailsFormContainer = styled.fieldset`
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-column-gap: 0.5rem;
  grid-row-gap: 0.5rem;
`;

export const ErrorsContainer = styled.div`
  display: flex;
  align-items: center;
  font-weight: bold;
  color: ${colors.mashPaleRed};
  padding-top: 1em;
`;

export const Label = styled.label`
  color: ${colors.serviceGrey};
  font-size: 0.8em;
  padding-left: 0.5em;
`;

export const InputGroup = styled.div`
  display: flex;
  flex-direction: column;
`;

export const SpinnerContainer = styled.div`
  padding-bottom: 1rem;
  width: 100%;
  display: flex;
  justify-content: center;
  position: absolute;
`;

export const ButtonsContainer = styled.div`
  display: flex;
  padding-top: 1em;
  position: relative;
  flex-direction: row;
  justify-content: end;
  gap: 0.5rem;
`;
