import React, { FC } from "react";

import Checkbox from "../../../components/Checkbox";
import { CardContainer, CardHeader, CardTitle } from "../../../styles";
import {
  CardContent,
  CheckboxContainer,
  FirstLine,
  ListItem,
  OrderedList,
} from "./styles";

type ComplianceProps = {
  amount: number;
  checked: boolean;
  onChange: () => void;
};

const Compliance: FC<ComplianceProps> = ({ amount, checked, onChange }) => (
  <CardContainer>
    <CardHeader>
      <CardTitle>Compliance</CardTitle>
    </CardHeader>

    <CardContent>
      <FirstLine>We have made sure that:</FirstLine>
      <OrderedList>
        <ListItem>
          The customer is aware they will be changed a total of £
          {amount.toFixed(2)}
        </ListItem>
        <ListItem>
          The customer is aware of all implications and limitations of:
        </ListItem>
        <OrderedList type={"a"}>
          <ListItem>Building Insurance</ListItem>
          <ListItem>Legal Expenses Insurance</ListItem>
          <ListItem>Home Emergency Insurance</ListItem>
          <ListItem>Rent Guarantee Insurance</ListItem>
        </OrderedList>
      </OrderedList>

      <CheckboxContainer>
        <Checkbox
          checked={checked}
          onChange={onChange}
          title={"Tick the checkbox if all statements written above are true."}
        ></Checkbox>
      </CheckboxContainer>
    </CardContent>
  </CardContainer>
);

export default Compliance;
