import { css } from "@emotion/core";
import styled from "@emotion/styled";

import { colors } from "../../../theme";

export const PaymentFormBody = styled.div`
  display: grid;
  grid-template-columns: 24rem 1fr;
  grid-auto-flow: column;
  justify-content: center;

  > div:first-of-type {
    padding-right: 1rem;
    border-right: 0.1rem solid ${colors.blueyGrey};
  }
`;

export const PaymentDetailsContainer = styled.div`
  display: flex;
  flex-direction: column;
  align-items: end;
  justify-content: center;
  font-weight: 600;
`;

export const SpinnerContainer = styled.div`
  padding-right: 0.3rem;
`;

export const Tabs = styled.div`
  display: flex;
  margin: 0 0 20px;
`;

export const Tab = styled.div<{ active: boolean }>`
  margin: 0 0.5rem 0 0;
  font-size: 1rem;
  font-weight: 500;
  border-bottom: solid 2px #ddd;
  position: relative;
  top: 1px;
  cursor: pointer;
  flex-grow: 1;
  text-align: center;

  ${({ active }) =>
    active
      ? css`
          color: ${colors.mashPaleRed};
          border-bottom: solid 2px ${colors.mashPaleRed};
          cursor: default;
        `
      : ""}
`;
