import React, { FC, useCallback } from "react";

import { ProductSale } from "../../../../../models/product";
import { ProductSaleContainer } from "./styles";

export type ProductLastSaleProps = {
  sale: ProductSale;
};
const ProductLastSale: FC<ProductLastSaleProps> = ({ sale }) => {
  const formatDate = useCallback(
    (millsec: number) =>
      new Date(millsec).toLocaleString("en-GB", {
        day: "2-digit",
        month: "2-digit",
        year: "2-digit",
        timeStyle: undefined,
      }),
    []
  );

  return (
    <ProductSaleContainer status={sale.status}>
      {sale.startDate
        ? `${formatDate(sale.startDate)} - ${formatDate(sale.endDate)}`
        : `${formatDate(sale.saleDate)}`}
    </ProductSaleContainer>
  );
};

export default ProductLastSale;
