import styled from "@emotion/styled";

import { ProductStatus } from "../../../../../models/product";
import { colors } from "../../../../../theme";

export const ProductSaleContainer = styled.div<{ status?: ProductStatus }>`
  display: flex;
  align-items: center;
  background-color: ${({ status }) =>
    status === ProductStatus.PAID ? colors.blushGreen : colors.creamBrulee};
  border-radius: 0.8em;
  padding: 0 0.5em 0 0.5em;
  margin-left: auto;
  font-weight: 500;
  font-size: 0.7rem;
`;
