import styled from "@emotion/styled";

import { colors } from "../../../../theme";

export const ProductsContainer = styled.form`
  padding-top: 0.5em;
`;

export const ProductItem = styled.div`
  padding: 0.1rem 0 0.1rem 0;
  display: flex;
  flex-direction: column;
`;

export const ProductLine = styled.div`
  display: grid;
  grid-template-columns: 70fr 30fr;
`;

export const ProductDetailsContainer = styled.div`
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-row-gap: 0.5rem;
  line-height: 2em;
  padding: 0.5rem 0.5rem 0.5rem 0.5rem;
  border-left: 0.2em solid ${colors.blueyGrey};
  margin-left: 1.8rem;
`;

export const ProductDetailsLabel = styled.div`
  flex-grow: 1;
`;

export const ProductDetailsCheckboxValue = styled.div`
  margin-left: auto;
  display: flex;
  align-items: center;
`;

export const ProductDetailsSelect = styled.select`
  font-weight: 500;
  padding: 0.1rem;
  border: 0.1rem solid ${colors.mashPaleRed};
`;

export const ProductDetailsInputValue = styled.div`
  padding: 0 0.3rem 0 0.3rem;
  margin-left: auto;
  border: 0.1rem solid ${colors.mashPaleRed};
`;

export const ProductDetailsPriceValue = styled.div`
  padding: 0 0.3rem 0 0.3rem;
  margin-left: auto;
  font-weight: 600;
  border: 0.1rem solid ${colors.mashPaleRed};
`;

export const ProductDetailsPriceValueSelect = styled.select`
  padding: 0 0.3rem 0 0.3rem;
  margin-left: auto;
  font-weight: 600;
  border: 0.1rem solid ${colors.mashPaleRed};
`;
