import styled from "@emotion/styled";

import { colors } from "../../../../../theme";

export const RentCollectionFormContainer = styled.fieldset`
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-column-gap: 0.5rem;
  grid-row-gap: 0.5rem;
`;

export const RentCollectionStatus = styled.div`
  border-radius: 0.8em;
  border: none;
  padding: 0 0.5rem 0 0.5rem;
  margin-bottom: 0.5rem;
  width: fit-content;
  font-weight: 600;
  font-size: 0.7rem;
  background-color: ${colors.blushGreen};
  color: ${colors.black};
  cursor: pointer;
`;

export const SpanColumns = styled.div<{ num: number }>`
  display: grid;
  grid-row-gap: 0.5rem;
  grid-column: span ${({ num }) => num};
  * {
    width: 100%;
  }
`;

export const ErrorsContainer = styled.div`
  display: flex;
  align-items: center;
  font-weight: bold;
  color: ${colors.mashPaleRed};
  padding-top: 1em;
`;

export const Label = styled.label`
  color: ${colors.serviceGrey};
  font-size: 0.8em;
  padding-left: 0.5em;
`;

export const InputGroup = styled.div`
  display: flex;
  flex-direction: column;
`;

export const SpinnerContainer = styled.div`
  padding-bottom: 1rem;
  width: 100%;
  display: flex;
  justify-content: center;
  position: absolute;
`;

export const ButtonsContainer = styled.div`
  display: flex;
  flex-direction: column;
  padding-top: 1em;
  position: relative;
`;
