import styled from "@emotion/styled";

import { colors } from "./theme";

export const MainContainer = styled.div`
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  width: 35rem;
  min-width: 35rem;
  margin: 0 auto;
  padding-bottom: 5rem;

  > * {
    margin: 0.5em 0 0.5em 0;
  }
`;

export const CardContainer = styled.div`
  display: flex;
  flex-direction: column;
  background-color: ${colors.white};
  border-radius: 0.8em;
  padding: 1em;
  gap: 1em;
`;

export const CardTitle = styled.div`
  font-weight: bold;
`;

export const CardHeader = styled.div`
  display: flex;
  justify-content: space-between;
  align-items: center;
`;

export const CardHeaderLinks = styled.div`
  display: flex;
  a:not(:last-child) {
    padding-right: 0.3rem;
  }

  a:not(:last-child):after {
    content: "|";
    padding-left: 0.3rem;
  }
`;

export const CardHeaderLink = styled.a`
  color: ${colors.mashPaleRed};
  font-weight: 500;
  cursor: pointer;
  float: right;

  :hover {
    color: ${colors.mashPaleRed};
  }
`;

export const ErrorContainer = styled.div`
  display: flex;
  align-items: center;
  font-weight: bold;
  color: ${colors.mashPaleRed};
`;

export const SpinnerContainer = styled.div`
  display: flex;
  justify-content: center;
  padding: 1em 0 1em 0;
`;
