import React, { FC } from "react";

import { ApolloError } from "apollo-client";

type Props = {
  errors: (ApolloError | undefined)[];
  className?: string;
};

export const ApiError: FC<Props> = ({ errors: rawErrors, className }) => {
  const errors = rawErrors.filter(Boolean);

  if (errors.length === 0) {
    return null;
  }

  return (
    <div className={className}>
      {errors?.map((el) => (
        <div key={el?.name}>
          <div>An error occurred:</div>
          <div>{el?.message}</div>
        </div>
      ))}
    </div>
  );
};
