import styled from "@emotion/styled";

import theme from "../theme";

import css from "@emotion/css";

export const FilterSort = styled.div`
  display: flex;
  align-items: center;
  margin: 0 0 20px;
  padding: 10px 20px;
  background: ${theme.colors.main.lightGrey};
  border: solid 1px ${theme.colors.main.midGrey};
  border-radius: 5px;

  @media (max-width: 1420px) {
    align-items: flex-end;
  }
`;

export const FilterSortItem = styled.div<{ hidden?: boolean }>`
  display: inline-flex;
  margin: 0 30px 0 0;
  flex-direction: column;

  ${({ hidden }) =>
    hidden &&
    css`
      display: none !important;
    `};

  &:last-of-type {
    margin-right: 0;
    margin-left: auto;
    flex-direction: row;

    div {
      margin: 0 0 0 16px;
    }
  }

  input {
    width: 120px;
    font-weight: 700;
    font-size: 16px;

    &.input-sort-date {
      width: 170px;
      font-weight: 600;
      padding: 8px 12px 8px 20px;
      height: 40px;
      line-height: 22px;
    }

    &.input-320 {
      width: 320px;
    }
  }

  label {
    font-weight: 500;
    margin: 0 10px 0 0;
    font-size: 16px;
  }

  @media (max-width: 1420px) {
    display: block;

    label {
      margin: 0 0 6px;
    }
  }
`;

export const FilterSortItemInner = styled.div`
  margin-right: 30px;
`;

export const FilterSortGroup = styled.div`
  display: flex;
  align-items: center;

  input {
    &.input-amount {
      width: 90px;
      padding-left: 4px;
      padding-right: 4px;
      text-align: center;
    }
    &.input-error {
      border-radius: 5px;
    }
  }
`;
