import styled from "@emotion/styled";

import theme from "../theme";

export const OfferHeader = styled.div`
  display: flex;
  justify-content: space-between;
  margin: 0 0 40px;
  position: relative;
`;

export const OfferHeaderRight = styled.div`
  width: 240px;
  margin-left: 30px;

  aside {
    margin-left: 0;
  }

  button {
    width: 100%;
    margin-top: 10px;
  }
`;

export const OfferCardTitle = styled.h3`
  margin: 0 180px 10px 0;
`;

export const OfferGrid = styled.div`
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
`;

export const OfferCardItem = styled.div`
  margin: 0 0 30px;
  width: calc(33.3% - 15px);

  &:first-of-type {
    width: calc(66.6% - 15px);
  }
`;

export const OfferCardItemTitle = styled.div`
  font-weight: 700;
  font-size: 14px;
  margin: 0 0 8px;
  text-transform: uppercase;
`;

export const OfferCardItemValue = styled.div`
  font-size: 16px;
`;

export const TabFilterRow = styled.div`
  margin-top: -15px;
  margin-bottom: 15px;

  form {
    display: flex;
    justify-content: flex-end;
  }
`;

export const DocumentItem = styled.div`
  display: table;
  padding: 20px;
  background: white;
  border: solid 1px ${theme.colors.icons.darkBlue};
  border-radius: 5px;
  font-size: 18px;
  font-weight: 600;

  a {
    display: inline-block;
    max-width: 300px;
    text-decoration: none;
    line-height: 24px;
    color: ${theme.colors.icons.mainBlue};
    vertical-align: middle;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
  }

  span {
    vertical-align: middle;
  }

  i {
    display: inline-block;
    vertical-align: middle;
    font-size: 24px;
    color: ${theme.colors.icons.mainBlue};
    margin-left: 8px;
    vertical-align: middle;
    cursor: pointer;
  }
`;

export const DocumentItemDate = styled.div`
  font-size: 14px;
  font-weight: 500;
  line-height: 1;
  margin-top: 8px;
`;

export const TextButton = styled.span`
  cursor: pointer;
  color: ${theme.colors.main.mainBlue};
`;
