import React, { FC } from "react";

import { FieldInputProps } from "react-final-form";
import PhoneInput from "react-phone-input-2";

import "react-phone-input-2/lib/style.css";
import css from "./index.module.css";

type Props = {
  input: FieldInputProps<any, HTMLElement>;
};

const CountryPhoneInput: FC<Props> = ({ input }) => (
  <div className={css.phoneWrap}>
    <PhoneInput
      {...input}
      country="gb"
      countryCodeEditable={false}
      inputClass={css.phoneInput}
      preferredCountries={["gb"]}
    />
  </div>
);

export default CountryPhoneInput;
