import styled from "@emotion/styled";

import theme from "../theme";

export const PropertyHeader = styled.div`
  display: flex;
  margin: 0 0 40px;
`;

export const PropertyBody = styled(PropertyHeader)`
  display: flex;
`;

export const PropertyAside = styled.aside`
  width: 240px;
  min-width: 240px;
  margin-left: 30px;
`;

export const PropertyAddButtonBox = styled.aside`
  width: 240px;
  position: absolute;
  bottom: 30px;
  right: -270px;
  text-align: center;

  button {
    padding: 0;
    width: 180px;
  }
`;
export const PropertyAsideButtons = styled.div`
  text-align: center;
  margin: 20px 0;

  button {
    padding: 0;
    width: 180px;
    margin: 20px 0 0;
  }
`;

export const PropertyContent = styled.div`
  flex: 1;
  position: relative;
`;

export const PropertyPhoto = styled.img`
  width: 240px;
  margin: 0 30px 0 0;
  object-fit: cover;
  height: 240px;
  background-color: ${theme.colors.main.lightBlue};
`;

export const PropertyVerifiedBlock = styled.div`
  padding: 20px;
  background: white;
  border: solid 1px ${theme.colors.icons.darkBlue};
  border-radius: 5px;
  position: relative;
`;

export const PropertyStatusGroup = styled.div`
  padding: 18px 20px;
  background: ${theme.colors.main.lightGrey};
  border: solid 1px ${theme.colors.icons.darkBlue};
  border-radius: 5px;
`;
export const PropertyStatusItem = styled.div`
  display: flex;
  margin: 0 0 8px;
  align-items: center;
  justify-content: space-between;

  &:last-of-type {
    margin-bottom: 0;
  }
`;
export const PropertyStatusItemName = styled.div`
  font-size: 14px;
  font-weight: 500;
`;
export const PropertyStatusItemVerified = styled.div`
  width: 22px;
  height: 22px;
  border-radius: 24px;
  background: ${theme.colors.main.green};
  border: solid 4px ${theme.colors.main.green};
  transition: all 0.25s;
`;
export const PropertyStatusItemUnverified = styled(PropertyStatusItemVerified)`
  background: ${theme.colors.icons.darkBlue};
  border: solid 4px white;
`;

export const PropertyCardTitle = styled.h3`
  margin: 0 180px 10px 0;
`;
export const PropertyCardTitleGroup = styled.div`
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin: 0 0 20px;

  h3 {
    margin: 0;
  }
`;
export const PropertyAddress = styled.address`
  font-style: normal;
  margin: 0 0 30px;
`;
export const PropertyGrid = styled.div`
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
`;
export const PropertyCardItem = styled.div`
  margin: 0 0 16px;
  &:nth-of-type(even) {
    width: calc(60% - 15px);
  }
  &:nth-of-type(odd) {
    width: calc(40% - 15px);
  }
`;
export const PropertyCardItemTitle = styled.div`
  font-weight: 700;
  font-size: 14px;
  margin: 0 0 4px;
  text-transform: uppercase;
`;
export const PropertyCardItemValue = styled.div`
  font-size: 16px;
`;

export const PropertyItemMashroom = styled.div`
  display: flex;
  background: #f5fcff;
  margin-bottom: 20px;
  border: solid 1px ${theme.colors.main.mainBlue};
  border-radius: 5px;
`;
export const PropertyItemZoopla = styled(PropertyItemMashroom)`
  background: #fcf4ff;
  border: solid 1px #6a148e;
`;

export const PropertyItemRightMove = styled(PropertyItemMashroom)`
  background: #effffc;
  border: solid 1px #00deb6;
`;
export const PropertyAsideMashroom = styled(PropertyAside)`
  border-left: solid 1px ${theme.colors.main.mainBlue};
  background: ${theme.colors.icons.darkBlue};
  padding: 30px;
  border-radius: 0 5px 5px 0;
  color: white;
`;
export const PropertyAsideZoopla = styled(PropertyAside)`
  border-left: solid 1px #6a148e;
  background: #6a148e;
  padding: 30px;
  border-radius: 0 5px 5px 0;
  color: white;
`;
export const PropertyAsideRightmove = styled(PropertyAside)`
  border-left: solid 1px #00deb6;
  background: #262637;
  padding: 30px;
  border-radius: 0 5px 5px 0;
  color: #00deb6;
`;

export const PropertyItemPublish = styled.div`
  padding: 30px;
`;

export const PropertyStatusVerified = styled.div``;

export const PublicationBlocked = styled.div`
  position: relative;
  opacity: 0.25;

  &::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(0, 0, 0, 0);
    z-index: 2;
  }
`;

export const PropertyCardButtons = styled.aside`
  position: absolute;
  top: 0;
  right: -10px;
  width: 180px;

  > * {
    width: 100%;
    margin-bottom: 12px;
  }
`;
