import styled from "@emotion/styled";

import theme from "../theme";

export const Table = styled.table`
  width: calc(100% - 2px);
`;

export const TableResponse = styled.table`
  margin: 30px 0;
`;
export const TableCaption = styled.caption`
  font-size: 16px;
  font-weight: 700;
  padding: 12px 20px;
  border: solid 1px ${theme.colors.main.midGrey};
  text-align: left;
  background: #fff;
`;
export const Thead = styled.thead``;
export const Tbody = styled.tbody``;
export const Th = styled.th`
  padding: 6px 10px;
  border-left: solid 1px ${theme.colors.main.lightGrey};
  background: ${theme.colors.main.midGrey};
  font-weight: 700;
  text-align: left;
  color: ${theme.colors.main.darkGrey};

  &:first-of-type {
    border-left: 0;
  }

  &.sortable {
    cursor: pointer;
    user-select: none;
  }
`;
export const ThWidth1 = styled(Th)`
  width: 1px;
`;
export const Td = styled.td`
  padding: 10px;
  border: solid 1px ${theme.colors.main.midGrey};
  transition: all 0.25s;
`;
export const Tr = styled.tr`
  &:nth-of-type(even) td,
  &:nth-of-type(even) th {
    background: ${theme.colors.main.lightGrey};
  }

  &:hover {
    td {
      background: #f1f5fe;
    }
  }

  &.selected-row td,
  &.selected-row th {
    background: #fffad5;
  }
`;
export const ThInner = styled(Th)`
  border-left: solid 1px ${theme.colors.main.midGrey};
  background: ${theme.colors.main.darkGrey};
  color: white;
`;
export const TdInner = styled(Td)`
  background: white;
`;
export const TdInnerWidth1 = styled(Td)`
  width: 1%;
  background: white;
`;
export const TdInnerWidth20 = styled(Td)`
  width: 20%;
  background: white;
`;
export const TdInnerWidth25 = styled(Td)`
  width: 25%;
  background: white;
`;
export const TdInnerWidth30 = styled(Td)`
  width: 30%;
  background: white;
`;
export const TdWidth50 = styled(Td)`
  width: 50%;
`;
export const TdWidth30 = styled(Td)`
  width: 30%;
`;
export const TdWidth25 = styled(Td)`
  width: 25%;
`;
export const TrInner = styled(Tr)`
  &:nth-of-type(even) td,
  &:nth-of-type(even) th {
    background: #f5fcfe;
  }

  &:hover {
    td {
      background: #e5f8ff;
    }
  }
`;
export const NoWrap = styled.div`
  width: 100%;
  text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden;
`;
