import styled from "@emotion/styled";

import theme from "../theme";

const Textarea = styled.textarea`
  width: 100%;
  display: block;
  padding: 9px 12px;
  border: solid 1px ${theme.colors.border.default};
  border-radius: 5px;
  font-size: 16px;
  font-weight: 500;
  line-height: 1.35;
  transition: all 0.25s;
  background: white;

  &:focus {
    border-color: ${theme.colors.border.focus};
  }

  &.input-error {
    border: solid 1px ${theme.colors.main.red};
    border-radius: 5px 5px 5px 0;
    background: ${theme.colors.main.lightRed};
  }
`;

export default Textarea;
