import styled from "@emotion/styled";

import theme from "../theme";

export const UserInform = styled.div`
  max-width: 840px;
  margin: 0 auto;
  position: relative;
`;

export const UserInfoHeader = styled.div`
  display: flex;
  justify-content: space-between;
  align-items: center;
`;

export const UserAvatar = styled.div`
  width: 140px;
  height: 140px;
  text-align: center;
`;

export const UserInformSmall = styled.div`
  display: flex;
  align-items: center;
  margin: 0 0 20px;
`;

export const UserAvatarSmall = styled.img`
  width: 46px;
  height: 46px;
  margin: 0 20px 0 0;
  background: ${theme.colors.main.midGrey};
  border-radius: 50%;
  object-fit: cover;
`;

export const UserDetails = styled.div`
  width: calc(50% - 15px);
  margin-bottom: 4px;
`;

export const UserItem = styled.div`
  align-self: center;

  button {
    padding: 0;
    width: 130px;
    font-size: 14px;
  }
`;

export const UserItemName = styled.div`
  font-weight: 500;
  font-size: 16px;
  opacity: 0.7;
  margin-bottom: 4px;
`;

export const UserItemNameSmall = styled(UserItemName)`
  opacity: 1;
`;

export const UserItemValue = styled.div`
  font-weight: 700;
  font-size: 16px;
`;

export const UserLastUpdate = styled.div`
  font-size: 14px;
  margin: 8px 0 0;

  strong {
    display: block;
    font-size: 16px;
  }
`;
export const UserFlexRow = styled.div`
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
`;
export const StatusDanger = styled.span`
  color: ${theme.colors.main.red};
`;
export const StatusSuccess = styled.span`
  color: ${theme.colors.main.green};
`;
export const UserCardActionButtons = styled.span`
  display: flex;
  align-items: center;

  button {
    margin-right: 30px;
  }
`;
