import React from "react";

import styled from "@emotion/styled";

import theme from "../theme";

const Checkbox = ({ input, ...rest }) => (
  <Label>
    <input type="checkbox" {...input} {...rest} />
    <span />
  </Label>
);
const Label = styled.label`
  display: block;
  position: relative;
  overflow: hidden;
  cursor: pointer;
  font-size: 0;
  line-height: 0;

  span {
    display: inline-block;
    width: 20px;
    height: 20px;
    position: relative;

    &::before {
      content: "";
      position: absolute;
      width: 20px;
      height: 20px;
      border: solid 1px ${theme.colors.main.midGrey};
      transition: all 0.15s;
      left: 0;
      top: 0;
      background: #fff;
      box-sizing: border-box;
    }

    &::after {
      content: "";
      position: absolute;
      width: 12px;
      height: 12px;
      background: rgba(255, 255, 255, 0);
      transition: all 0.15s;
      left: 4px;
      top: 4px;
      transform: scale(0);
    }
  }

  input {
    position: absolute;
    left: -9999px;

    &:checked ~ span {
      &::before {
        border-color: ${theme.colors.main.mainBlue};
      }
      &::after {
        background: ${theme.colors.main.mainBlue};
        transform: scale(1);
      }
    }
  }
`;

export default Checkbox;
