import React, { FC } from "react";

import styled from "@emotion/styled";
import { FieldRenderProps } from "react-final-form";

import theme from "../theme";

const ErrorMessage: FC<Pick<
  FieldRenderProps<unknown, HTMLElement>,
  "meta"
>> = ({ meta }) =>
  meta.touched && meta.error ? (
    <SimpleMessage>{meta.error}</SimpleMessage>
  ) : null;

export const SimpleMessage = styled.span`
  display: inline-block;
  background: ${theme.colors.main.red};
  color: white;
  padding: 3px 10px;
  font-size: 14px;
  border-radius: 0 0 5px 5px;
  font-weight: 700;
`;

export default ErrorMessage;
