import React, { ComponentProps, FC } from "react";

import { FieldRenderProps } from "react-final-form";

import { TextInput } from "../atoms/Input";
import ErrorMessage from "./ErrorMessage";

export const InputFieldTouched: FC<
  ComponentProps<"input"> & FieldRenderProps<any, any>
> = (props) => (
  <>
    <TextInput {...props} />
    <ErrorMessage {...props} />
  </>
);

export const InputField = InputFieldTouched;
