import ReactDOM from "react-dom";

type PropsType = {
  children: JSX.Element;
  selector?: string;
};

const Portal = (props: PropsType) => {
  if (!window) {
    return null;
  }

  const { selector = "#modal" } = props;
  const portalElement = document.querySelector(selector);

  if (!portalElement) {
    return null;
  }

  return ReactDOM.createPortal(props.children, portalElement);
};

export default Portal;
