import React, { FC } from "react";

import { FieldInputProps, FieldMetaState } from "react-final-form";

import Textarea from "../atoms/Textarea";
import ErrorMessage from "./ErrorMessage";

type Props = {
  meta: FieldMetaState<string>;
  input: FieldInputProps<string, HTMLElement>;
};

export const TextareaFieldTouched: FC<Props> = ({ meta, input, ...rest }) => (
  <>
    <Textarea
      className={meta.error && meta.touched ? "input-error" : ""}
      {...input}
      {...rest}
    />
    <ErrorMessage meta={meta} />
  </>
);

export const TextareaField: FC<Props> = ({ meta, input, ...rest }) => (
  <>
    <Textarea
      className={meta.error ? "input-error" : ""}
      {...input}
      {...rest}
    />
    <ErrorMessage meta={meta} />
  </>
);
