import { format } from "date-fns";

export function formatDate(
  value: Date | string | null | undefined,
  separator = "."
) {
  if (value == null || value === "") {
    return "—";
  }

  return format(new Date(value), `dd${separator}MM${separator}yyyy`);
}

export function formatShortDate(
  value: Date | string | null | undefined,
  separator = ".",
  emptyText = "—"
) {
  if (value == null || value === "") {
    return emptyText;
  }

  return format(new Date(value), `MM${separator}yy`);
}

export function formatDateTime(
  value: Date | string | null | undefined,
  separator = ".",
  emptyText = "—"
) {
  if (value == null || value === "") {
    return emptyText;
  }

  return format(new Date(value), `dd${separator}MM${separator}yyyy HH:mm:ss`);
}

export function formatDateWordTime(value: Date | string | null | undefined) {
  if (value == null || value === "") {
    return "—";
  }

  return format(new Date(value), `dd MMM yyyy HH:mm:ss`);
}

export function formatDateForDatepicker(value: string | null | undefined) {
  if (value == null || value === "") {
    return "";
  }

  return format(new Date(value), "yyyy-MM-dd");
}
