import { sentenceCase } from "change-case";

export const formatGenericEnumValue = (s: string) => sentenceCase(s);

export function enumToList<T extends string, TEnumValue extends string>(
  enumVariable: { [key in T]: TEnumValue },
  sortFn?: (a: TEnumValue, b: TEnumValue) => number
) {
  return Object.values<string>(enumVariable)
    .filter((v) => v.toLowerCase().indexOf("unknown") === -1)
    .sort(
      sortFn as ((a: string, b: string) => number) | undefined
    ) as TEnumValue[];
}
