import { EnumTypeDefinitionNode } from "graphql";

type ConvertEnum = {
  label: string;
  value: string;
};

export const convertEnum = (
  originEnum: EnumTypeDefinitionNode
): ConvertEnum[] =>
  Object.keys(originEnum).reduce<ConvertEnum[]>(
    (acc, item) => [...acc, humanizeEnum(item)],
    []
  );

export const humanizeEnum = (enumName: string): ConvertEnum => {
  const result = enumName
    .split("_")
    .map(
      (name) => `${name.substr(0, 1)}${name.substring(1).toLocaleLowerCase()}`
    );

  return {
    label: result.join(" "),
    value: enumName,
  };
};
