import { format } from "date-fns";

type DateSource =
  | string
  | Date
  | {
      day: number | null;
      month: number | null;
      year: number | null;
    };
export const toDate = (date: DateSource) =>
  date instanceof Date
    ? date
    : typeof date === "string"
    ? new Date(date)
    : new Date(date.year!, date.month! - 1, date.day!);

export const formatDateTimeWithSeconds = (
  date: DateSource | null | undefined
) =>
  date === "" || date == null
    ? ""
    : format(toDate(date), "dd MMM yyyy HH:mm:ss");

export const formatDateTime = (date: DateSource | null | undefined) =>
  date === "" || date == null ? "" : format(toDate(date), "dd MMM yyyy HH:mm");

export const formatDate = (date: DateSource | null | undefined) =>
  date === "" || date == null ? "" : format(toDate(date), "dd MMM yyyy");
