import { ReactText } from "react";

export function formatPrice(
  value: ReactText | null | undefined,
  minimumFractionDigits = 2
) {
  if (value == null) {
    return "";
  }
  return Number(value).toLocaleString("en-EN", {
    style: "currency",
    currency: "GBP",
    currencyDisplay: "symbol",
    minimumFractionDigits,
  });
}

export function formatPricePcm(value: ReactText | null | undefined) {
  if (value == null) {
    return "";
  }
  return `${formatPrice(Math.round(Number(value)), 0)} pcm`;
}
