const strip_typenames = (obj) => {
  const result = {};

  for (const key in obj) {
    if (key === "__typename") {
      continue;
    } else if (Array.isArray(obj[key])) {
      result[key] = obj[key].map((i) =>
        typeof i === "object" ? strip_typenames(i) : i
      );
    } else if (obj[key] == null) {
      result[key] = obj[key];
    } else if (typeof obj[key] === "object") {
      result[key] = strip_typenames(obj[key]);
    } else {
      result[key] = obj[key];
    }
  }

  return result;
};

export default strip_typenames;
